List of all members
clan::ZipFileEntry Class Reference
clanCore I/O Data

File entry in zip file. More...

`#include <zip_file_entry.h>`

## Public Member Functions
Construction
| ZipFileEntry ()
| ZipFileEntry (const ZipFileEntry &copy)
| Constructs a ZipFileEntry. More...
| ~ZipFileEntry ()
Attributes
std::string | get_archive_filename () const
| Returns the filename of file entry. More...
std::string | get_input_filename () const
| Returns the filename of file entry. More...
int64_t | get_uncompressed_size ()
| Returns the uncompressed size of file entry. More...
int64_t | get_compressed_size ()
| Returns the compressed size of file entry. More...
bool | is_directory () const
| Is Directory. More...
Operations
ZipFileEntry & | operator= (const ZipFileEntry &copy)
| Copy assignment operator. More...
void | set_input_filename (const std::string &filename)
| Sets the filename of the file to be added to the archive. More...
void | set_archive_filename (const std::string &filename)
| Sets the filename of the file inside the archive. More...
void | set_directory (bool is_directory)
| Set directory. More...

## Implementation
class | ZipArchive
class | ZipIODevice_FileEntry

## Detailed Description

File entry in zip file.

The documentation for this class was generated from the following file:

- zip_file_entry.h